<div ng-switch="amWbInlineType">
	<!-- IMAGE -->
	<div ng-switch-when="image" 
		ng-click="updateImage()"
		ng-class="{'my-editable' : $parent.amWbInlineEnable}" 
		md-colors="::{borderColor: 'primary-100'}">
		<ng-transclude flex></ng-transclude>
		<div 
			class="xedit-icon"
			ng-show="$parent.amWbInlineEnable" 
			md-colors="::{color: 'primary',backgroundColor: 'primary-100', borderColor: 'primary-100'}">
			<wb-icon>edit</wb-icon>
		</div>
	</div>
	
	<!-- 	TEXT -->
	<div ng-switch-when="text" 
		editable-text="$parent.myDataModel"
		onaftersave="$parent.ok($data)"
		layout="row"
		ng-class="{'my-editable' : $parent.amWbInlineEnable}" 
		md-colors="::{borderColor: 'primary-100'}">
		<ng-transclude flex></ng-transclude>
		<div class="xedit-icon" ng-show="$parent.amWbInlineEnable" 
			md-colors="::{color: 'primary',backgroundColor: 'primary-100', borderColor: 'primary-100'}">
			<wb-icon>edit</wb-icon>
		</div>
	</div>
	
	<!-- 	TEXTAREA -->
	<div ng-switch-when="textarea" 
		editable-textarea="$parent.myDataModel"
		onaftersave="$parent.ok($data)"
		layout="row"
		ng-class="{'my-editable' : $parent.amWbInlineEnable}" 
		md-colors="::{borderColor: 'primary-100'}">
		<ng-transclude flex></ng-transclude>
		<div class="xedit-icon" ng-show="$parent.amWbInlineEnable" 
			md-colors="::{color: 'primary',backgroundColor: 'primary-100', borderColor: 'primary-100'}">
			<wb-icon>edit</wb-icon>
		</div>
	</div>
	
	<!-- 	EMAIL -->
	<div ng-switch-when="email" 
		editable-email="$parent.myDataModel"
		onaftersave="$parent.ok($data)"
		layout="row"
		ng-class="{'my-editable' : $parent.amWbInlineEnable}" 
		md-colors="::{borderColor: 'primary-100'}">
		<ng-transclude flex></ng-transclude>
		<div class="xedit-icon" ng-show="$parent.amWbInlineEnable" 
			md-colors="::{color: 'primary',backgroundColor: 'primary-100', borderColor: 'primary-100'}">
			<wb-icon>edit</wb-icon>
		</div>
	</div>
	
	<!-- 	TEL -->
	<div ng-switch-when="tel" 
		editable-tel="$parent.myDataModel"
		onaftersave="$parent.ok($data)"
		layout="row"
		ng-class="{'my-editable' : $parent.amWbInlineEnable}" 
		md-colors="::{borderColor: 'primary-100'}">
		<ng-transclude flex></ng-transclude>
		<div class="xedit-icon" ng-show="$parent.amWbInlineEnable" 
			md-colors="::{color: 'primary',backgroundColor: 'primary-100', borderColor: 'primary-100'}">
			<wb-icon>edit</wb-icon>
		</div>
	</div>
	
	<!-- 	NUMBER -->
	<div ng-switch-when="number" 
		editable-number="$parent.myDataModel"
		onaftersave="$parent.ok($data)"
		layout="row"
		ng-class="{'my-editable' : $parent.amWbInlineEnable}" 
		md-colors="::{borderColor: 'primary-100'}">
		<ng-transclude flex></ng-transclude>
		<div class="xedit-icon" ng-show="$parent.amWbInlineEnable" 
			md-colors="::{color: 'primary',backgroundColor: 'primary-100', borderColor: 'primary-100'}">
			<wb-icon>edit</wb-icon>
		</div>
	</div>
	
	<!-- 	RANGE -->
	<div ng-switch-when="range" 
		editable-range="$parent.myDataModel"
		onaftersave="$parent.ok($data)"
		layout="row"
		ng-class="{'my-editable' : $parent.amWbInlineEnable}" 
		md-colors="::{borderColor: 'primary-100'}">
		<ng-transclude flex></ng-transclude>
		<div class="xedit-icon" ng-show="$parent.amWbInlineEnable" 
			md-colors="::{color: 'primary',backgroundColor: 'primary-100', borderColor: 'primary-100'}">
			<wb-icon>edit</wb-icon>
		</div>
	</div>
	
	<!-- 	URL -->
	<div ng-switch-when="url" 
		editable-url="$parent.myDataModel"
		onaftersave="$parent.ok($data)"
		layout="row"
		ng-class="{'my-editable' : $parent.amWbInlineEnable}" 
		md-colors="::{borderColor: 'primary-100'}">
		<ng-transclude flex></ng-transclude>
		<div class="xedit-icon" ng-show="$parent.amWbInlineEnable" 
			md-colors="::{color: 'primary',backgroundColor: 'primary-100', borderColor: 'primary-100'}">
			<wb-icon>edit</wb-icon>
		</div>
	</div>
	
	<!-- 	SEARCH -->
	<div ng-switch-when="search" 
		editable-search="$parent.myDataModel"
		onaftersave="$parent.ok($data)"
		layout="row"
		ng-class="{'my-editable' : $parent.amWbInlineEnable}" 
		md-colors="::{borderColor: 'primary-100'}">
		<ng-transclude flex></ng-transclude>
		<div class="xedit-icon" ng-show="$parent.amWbInlineEnable" 
			md-colors="::{color: 'primary',backgroundColor: 'primary-100', borderColor: 'primary-100'}">
			<wb-icon>edit</wb-icon>
		</div>
	</div>
	
	<!-- 	COLOR -->
	<div ng-switch-when="color" 
		editable-color="$parent.myDataModel"
		onaftersave="$parent.ok($data)"
		layout="row"
		ng-class="{'my-editable' : $parent.amWbInlineEnable}" 
		md-colors="::{borderColor: 'primary-100'}">
		<ng-transclude flex></ng-transclude>
		<div class="xedit-icon" ng-show="$parent.amWbInlineEnable" 
			md-colors="::{color: 'primary',backgroundColor: 'primary-100', borderColor: 'primary-100'}">
			<wb-icon>edit</wb-icon>
		</div>
	</div>
	
	<!-- 	DATE -->
	<div ng-switch-when="date" 
		editable-date="$parent.myDataModel"
		onaftersave="$parent.ok($data)"
		layout="row"
		ng-class="{'my-editable' : $parent.amWbInlineEnable}" 
		md-colors="::{borderColor: 'primary-100'}">
		<ng-transclude flex></ng-transclude>
		<div class="xedit-icon" ng-show="$parent.amWbInlineEnable" 
			md-colors="::{color: 'primary',backgroundColor: 'primary-100', borderColor: 'primary-100'}">
			<wb-icon>edit</wb-icon>
		</div>
	</div>
	
	<!-- 	TIME -->
	<div ng-switch-when="time" 
		editable-time="$parent.myDataModel"
		onaftersave="$parent.ok($data)"
		layout="row"
		ng-class="{'my-editable' : $parent.amWbInlineEnable}" 
		md-colors="::{borderColor: 'primary-100'}">
		<ng-transclude flex></ng-transclude>
		<div class="xedit-icon" ng-show="$parent.amWbInlineEnable" 
			md-colors="::{color: 'primary',backgroundColor: 'primary-100', borderColor: 'primary-100'}">
			<wb-icon>edit</wb-icon>
		</div>
	</div>
	
	<!-- 	MONTH -->
	<div ng-switch-when="month" 
		editable-month="$parent.myDataModel"
		onaftersave="$parent.ok($data)"
		layout="row"
		ng-class="{'my-editable' : $parent.amWbInlineEnable}" 
		md-colors="::{borderColor: 'primary-100'}">
		<ng-transclude flex></ng-transclude>
		<div class="xedit-icon" ng-show="$parent.amWbInlineEnable" 
			md-colors="::{color: 'primary',backgroundColor: 'primary-100', borderColor: 'primary-100'}">
			<wb-icon>edit</wb-icon>
		</div>
	</div>
	
	<!-- 	WEEK -->
	<div ng-switch-when="week" 
		editable-week="$parent.myDataModel"
		onaftersave="$parent.ok($data)"
		layout="row"
		ng-class="{'my-editable' : $parent.amWbInlineEnable}" 
		md-colors="::{borderColor: 'primary-100'}">
		<ng-transclude flex></ng-transclude>
		<div class="xedit-icon" ng-show="$parent.amWbInlineEnable" 
			md-colors="::{color: 'primary',backgroundColor: 'primary-100', borderColor: 'primary-100'}">
			<wb-icon>edit</wb-icon>
		</div>
	</div>
	
	<!-- 	PASSWORD -->
	<div ng-switch-when="password" 
		editable-password="$parent.myDataModel"
		onaftersave="$parent.ok($data)"
		layout="row"
		ng-class="{'my-editable' : $parent.amWbInlineEnable}" 
		md-colors="::{borderColor: 'primary-100'}">
		<ng-transclude flex></ng-transclude>
		<div class="xedit-icon" ng-show="$parent.amWbInlineEnable" 
			md-colors="::{color: 'primary',backgroundColor: 'primary-100', borderColor: 'primary-100'}">
			<wb-icon>edit</wb-icon>
		</div>
	</div>
	
	<!-- 	DATETIME -->
	<div ng-switch-when="datetime" 
		editable-datetime-local="$parent.myDataModel"
		onaftersave="$parent.ok($data)"
		layout="row"
		ng-class="{'my-editable' : $parent.amWbInlineEnable}" 
		md-colors="::{borderColor: 'primary-100'}">
		<ng-transclude flex></ng-transclude>
		<div class="xedit-icon" ng-show="$parent.amWbInlineEnable" 
			md-colors="::{color: 'primary',backgroundColor: 'primary-100', borderColor: 'primary-100'}">
			<wb-icon>edit</wb-icon>
		</div>
	</div>
	
	<!-- 	FILE -->
	<div ng-switch-when="file" 
		editable-file="$parent.myDataModel"
		onaftersave="$parent.ok($data)"
		layout="row"
		ng-class="{'my-editable' : $parent.amWbInlineEnable}" 
		md-colors="::{borderColor: 'primary-100'}">
		<ng-transclude flex></ng-transclude>
		<div class="xedit-icon" ng-show="$parent.amWbInlineEnable" 
			md-colors="::{color: 'primary',backgroundColor: 'primary-100', borderColor: 'primary-100'}">
			<wb-icon>edit</wb-icon>
		</div>
	</div>
	
</div>